"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderCreditsResolvers = void 0;
const spl_utils_1 = require("@render-foundation/spl-utils");
const circuit_breaker_sdk_1 = require("@render-foundation/circuit-breaker-sdk");
exports.renderCreditsResolvers = (0, spl_utils_1.combineResolvers)(circuit_breaker_sdk_1.circuitBreakerResolvers, (0, spl_utils_1.ataResolver)({
    instruction: "mintRenderCreditsV0",
    account: "recipientTokenAccount",
    mint: "rcMint",
    owner: "recipient",
}), (0, spl_utils_1.ataResolver)({
    instruction: "mintRenderCreditsV0",
    account: "burner",
    mint: "rndrMint",
    owner: "owner",
}), (0, spl_utils_1.resolveIndividual)(({ path, accounts, provider, args }) => __awaiter(void 0, void 0, void 0, function* () {
    if (path[path.length - 1] === "recipient" && !accounts.recipient && provider.wallet) {
        return provider.wallet.publicKey;
    }
})));
//# sourceMappingURL=resolvers.js.map