import { ataResolver, combineResolvers, resolveIndividual } from "@render-foundation/spl-utils";
import { circuitBreakerResolvers } from "@render-foundation/circuit-breaker-sdk";
export const renderCreditsResolvers = combineResolvers(circuitBreakerResolvers, ataResolver({
    instruction: "mintRenderCreditsV0",
    account: "recipientTokenAccount",
    mint: "rcMint",
    owner: "recipient",
}), ataResolver({
    instruction: "mintRenderCreditsV0",
    account: "burner",
    mint: "rndrMint",
    owner: "owner",
}), resolveIndividual(async ({ path, accounts, provider, args }) => {
    if (path[path.length - 1] === "recipient" && !accounts.recipient && provider.wallet) {
        return provider.wallet.publicKey;
    }
}));
//# sourceMappingURL=resolvers.js.map